%define major 4
%define inchi_major 0
%define libname %mklibname %{name} %{major}
%define inchilib %mklibname inchi %{inchi_major}
%define devname %mklibname %{name} -d

Summary:	Chemistry software file format converter
Name:		openbabel
Version:	2.3.1
Release:	5
License:	GPLv2+
Group:		Sciences/Chemistry
Url:		http://openbabel.org
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:		openbabel-2.3.1-rpm.patch
Patch2:		openbabel-2.3.1-gcc47-darwin.patch
Patch3:		openbabel-2.3.1-noswig-rubymethod.patch
Patch4:		openbabel-2.3.0-plugindir.patch
Patch5:		openbabel-2.3.1-python-library_dirs-lame-workaround.patch
Patch6:		openbabel-2.3.1-pkgconfig.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	eigen2
BuildRequires:	libtool
BuildRequires:	swig
BuildRequires:	perl-devel
BuildRequires:	ruby-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%files
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/%{version}
%{_libdir}/%{name}/%{version}/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries of %{name}
Group:		System/Libraries

%description -n %{libname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{inchilib}
Summary:	Shared libraries of inchi
Group:		System/Libraries

%description -n %{inchilib}
The IUPAC International Chemical Identifier (InChITM) is a non-proprietary
identifier for chemical substances that can be used in printed and
electronic data sources thus enabling easier linking of diverse data
compilations. It was developed under IUPAC Project 2000-025-1-800 during
the period 2000-2004. Details of the project and the history of its
progress are available from the project web site.

This package contains shared libraries of inchi.

%files -n %{inchilib}
%{_libdir}/libinchi.so.%{inchi_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files of %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Requires:	%{inchilib} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%files -n %{devname}
%{_includedir}/*
%dir %{_libdir}/cmake/openbabel2
%{_libdir}/cmake/openbabel2/*.cmake
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

#----------------------------------------------------------------------------

%package -n perl-%{name}
Summary:	Perl wrapper for the Open Babel library
Group:		Development/Perl

%description -n perl-%{name}
Perl wrapper for the Open Babel library.

%files -n perl-%{name}
%{perl_vendorarch}/*

#----------------------------------------------------------------------------

%package -n python-%{name}
Summary:	Python wrapper for the Open Babel library
Group:		Development/Python

%description -n python-%{name}
Python wrapper for the Open Babel library.

%files -n python-%{name}
%{python_sitearch}/*

#----------------------------------------------------------------------------

%package -n ruby-%{name}
Summary:	Ruby wrapper for the Open Babel library
Group:		Development/Ruby
Requires:	%{name} = %{EVRD}

%description -n ruby-%{name}
Ruby wrapper for the Open Babel library.

%files -n ruby-%{name}
%{ruby_sitearchdir}/openbabel.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1 -b .r
%patch2 -p1 -b .gcc4.7~
%patch3 -p1 -b .ruby~
%patch4 -p1 -b .plugindir
%patch5 -p1 -b .py_libdirs~
%patch6 -p0 -b .pkgconfig

%build
%cmake \
 -DBUILD_GUI:BOOL=ON \
 -DPYTHON_BINDINGS:BOOL=ON \
 -DPERL_BINDINGS:BOOL=ON \
 -DRUBY_BINDINGS:BOOL=ON \
 -DOPENBABEL_USE_SYSTEM_INCHI=OFF
%make

%install
%makeinstall_std -C build


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.3.1-5
+ Revision: aad9b6f
- MassBuild#440: Increase release tag


